.TH ann_sum_of_sqr ANN "May 2001" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_sum_of_sqr - calculates sum-of-squares error
.SH CALLING SEQUENCE
E = ann_sum_of_sqr(y,t)
.SH PARAMETERS
.TP
E
The sum-of-squares error.
.TP
y
Matrix containing the actual network outputs, one pattern per column,
each column have a correspondent in t.
.TP
t
Matrix containing the targets, one pattern per column,
each column have a correspondent in y.
.SH DESCRIPTION
This function calculates the sum-of-squares error given y and t.  Any
other, user defined, error function should have the same input and output
format for variables.
.SH SEE ALSO
.TP
ANN
general overview of ANN toolkit.
.TP
ANN_FF
general overview of supported feedforward nets and algorithms.
.SH AUTHOR
Ryurick M. Hristev <r.hristev@phys.canterbury.ac.nz>
